Package org.apache.cxf.extension

# Interface Registry<K,T>

All Known Implementing Classes:
  `RegistryImpl`

public interface Registry<K,T>

- ## Method Summary

  Modifier and Type
  Method
  Description
  `T`
  `get(K k)`
  Returns the object stored under the given key.
  `void`
  `register(K k, T t)`
  Registers an object of type T with this registry.
  `void`
  `unregister(K k)`
  Unregisters the object stored under the given key from this registry.

- ## Method Details

  - ### register

    void register(K k, T t)
    Registers an object of type T with this registry.
    Parameters:
      `k` - the key under which rto register the object
      `t` - the object to register

  - ### unregister

    void unregister(K k)
    Unregisters the object stored under the given key from this registry.
    Parameters:
      `k` - the key

  - ### get

    T get(K k)
    Returns the object stored under the given key.
    Parameters:
      `k` - the key
    Returns:
      the object stored under the key